# translate.py -- Pamhyr
# Copyright (C) 2023-2026  INRAE
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# -*- coding: utf-8 -*-

from PyQt5.QtCore import QCoreApplication

from View.Translate import MainTranslate

_translate = QCoreApplication.translate


class ScenariosTranslate(MainTranslate):
    def __init__(self):
        super(ScenariosTranslate, self).__init__()

        self._dict["Scenarios"] = _translate(
            "Scenarios", "Scenarios"
        )

        self._dict["menu_select_scenario"] = _translate(
            "Scenarios", "Select this scenario"
        )
        self._dict["menu_add_scenario"] = _translate(
            "Scenarios", "Create new scenario from current scenario"
        )
        self._dict["menu_del_scenario"] = _translate(
            "Scenarios", "Delete this scenario"
        )
        self._dict["menu_dup_scenario"] = _translate(
            "Scenarios", "Duplicate this scenario"
        )

        self._sub_dict["table_headers_scenarios"] = {
            # "id": self._dict['id'],
            "name": self._dict['name'],
            "description": self._dict['description'],
            "parent": _translate("Scenarios", "Parent"),
        }

        self._dict["new_scenario"] = _translate(
            "Scenarios", "Create new scenario"
        )
        self._dict["delete_scenario"] = _translate(
            "Scenarios", "Delete scenario"
        )
        self._dict["select_scenario"] = _translate(
            "Scenarios", "Select scenario"
        )
        self._dict["undo_waiting"] = _translate(
            "Scenarios", "Undo ..."
        )
        self._dict["redo_waiting"] = _translate(
            "Scenarios", "Redo ..."
        )

        self._dict["mb_save_title"] = _translate(
            "Scenarios", "Save scenarios before scenarios switching"
        )
        self._dict["mb_save_msg"] = _translate(
            "Scenarios", "Save scenarios before scenarios  switching ?"
        )
